Get the email escalation settings
get
https://api.expiryedge.com/v1/getEscalationConfigany role60/min
Request
curl 'https://api.expiryedge.com/v1/getEscalationConfig' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"effective": {
"enabled": false,
"escalation_window_days": 7,
"unopened_threshold_days": 2,
"channels": [
"sms",
"whatsapp"
],
"notify_manager": true
},
"stored": null,
"bounds": {
"escalation_window_days": {
"min": 1,
"max": 60
},
"unopened_threshold_days": {
"min": 1,
"max": 30
},
"channels_allowed": [
"sms",
"whatsapp",
"email"
]
},
"defaults": {
"enabled": false,
"escalation_window_days": 7,
"unopened_threshold_days": 2,
"channels": [
"sms",
"whatsapp"
],
"notify_manager": true
},
"org_has_saved": false
}Escalation (re-sending unopened reminders by SMS/WhatsApp and notifying a manager) is opt-in. effective is the stored config merged
over defaults; stored is null until an admin saves once. bounds gives the validation limits.
200
Escalation configuration.
effectiveobjectrequiredstoredobject | nullrequiredboundsobjectrequireddefaultsobjectrequiredorg_has_savedbooleanrequired
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
405 | The endpoint does not accept this HTTP method. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
